Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class ExtendedFormatRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.ExtendedFormatRecord

    public final class ExtendedFormatRecord

extends StandardRecord

Title: Extended Format Record Description: Probably one of the more complex records. There are two breeds: Style and Cell.

It should be noted that fields in the extended format record are somewhat arbitrary. Almost all of the fields are bit-level, but we name them as best as possible by functional group. In some places this is better than others.

REFERENCE: PG 426 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` | `ALT_BARS`
`static short` | `BIG_SPOTS`
`static short` | `BRICKS`
`static short` | `CENTER`
`static short` | `CENTER_SELECTION`
`static short` | `DASH_DOT`
`static short` | `DASH_DOT_DOT`
`static short` | `DASHED`
`static short` | `DIAMONDS`
`static short` | `DOTTED`
`static short` | `DOUBLE`
`static short` | `FILL`
`static short` | `FINE_DOTS`
`static short` | `GENERAL`
`static short` | `HAIR`
`static short` | `JUSTIFY`
`static short` | `LEFT`
`static short` | `MEDIUM`
`static short` | `MEDIUM_DASH_DOT`
`static short` | `MEDIUM_DASH_DOT_DOT`
`static short` | `MEDIUM_DASHED`
`static short` | `NO_FILL`
`static short` | `NONE`
`static short` | `NULL`
`static short` | `RIGHT`
`static short` | `sid`
`static short` | `SLANTED_DASH_DOT`
`static short` | `SOLID_FILL`
`static short` | `SPARSE_DOTS`
`static short` | `SQUARES`
`static short` | `THICK`
`static short` | `THICK_BACKWARD_DIAG`
`static short` | `THICK_FORWARD_DIAG`
`static short` | `THICK_HORZ_BANDS`
`static short` | `THICK_VERT_BANDS`
`static short` | `THIN`
`static short` | `THIN_BACKWARD_DIAG`
`static short` | `THIN_FORWARD_DIAG`
`static short` | `THIN_HORZ_BANDS`
`static short` | `THIN_VERT_BANDS`
`static short` | `VERTICAL_BOTTOM`
`static short` | `VERTICAL_CENTER`
`static short` | `VERTICAL_JUSTIFY`
`static short` | `VERTICAL_TOP`
`static short` | `XF_CELL`
`static short` | `XF_STYLE`

Constructor Summary
`ExtendedFormatRecord()` Constructor ExtendedFormatRecord
`ExtendedFormatRecord(RecordInputStream in)`

Method Summary
`void` | `cloneStyleFrom(ExtendedFormatRecord source)` Clones all the style information from another ExtendedFormatRecord, onto this one.
`boolean` | `equals(java.lang.Object obj)` Will consider two different records with the same contents as equals, as the various indexes that matter are embedded in the records
`boolean` | `get123Prefix()` get some old holdover from lotus 123.
`short` | `getAdtlDiag()` get for diagonal borders? No idea (its a palette color for the other function we didn't know what was?)
`short` | `getAdtlDiagLineStyle()` get the diagonal border line style? Who the heck ever heard of a diagonal border?
`short` | `getAdtlFillPattern()` get the additional fill pattern
`int` | `getAdtlPaletteOptions()` get the additional palette options bitmask (see individual bit getter methods that reference this method)
`short` | `getAlignment()` get the horizontal alignment of the cell.
`short` | `getAlignmentOptions()` get the alignment options bitmask.
`short` | `getBorderBottom()` get the borderline style for the bottom border
`short` | `getBorderLeft()` get the borderline style for the left border
`short` | `getBorderOptions()` get the border options bitmask (see the corresponding bit getter methods that reference back to this one)
`short` | `getBorderRight()` get the borderline style for the right border
`short` | `getBorderTop()` get the borderline style for the top border
`short` | `getBottomBorderPaletteIdx()` get the palette index for the bottom border
`short` | `getCellOptions()` gets the options bitmask - you can also use corresponding option bit getters (see other methods that reference this one)
`short` | `getDiag()` Not sure what this is for (maybe fill lines?) 1 = down, 2 = up, 3 = both, 0 for none..
`short` | `getFillBackground()` get the background palette color index
`short` | `getFillForeground()` get the foreground palette color index
`short` | `getFillPaletteOptions()` get the fill palette options bitmask (see indivdual bit getters that reference this method)
`short` | `getFontIndex()` get the index to the FONT record (which font to use 0 based)
`short` | `getFormatIndex()` get the index to the Format record (which FORMAT to use 0-based)
`short` | `getIndent()` get indention (not sure of the units, think its spaces)
`short` | `getIndentionOptions()` get the indent options bitmask (see corresponding bit getters that reference this field)
`short` | `getJustifyLast()` Dunno.
`short` | `getLeftBorderPaletteIdx()` get the palette index for the left border color
`boolean` | `getMergeCells()` get whether to merge cells
`short` | `getPaletteOptions()` get the palette options bitmask (see the individual bit getter methods that reference this one)
`short` | `getParentIndex()` for cell XF types this is the parent style (usually 0/normal).
`short` | `getReadingOrder()` get the reading order for far east versions (0 - Context, 1 - Left to right, 2 - right to left) - We could use some help with support for the far east.
`short` | `getRightBorderPaletteIdx()` get the palette index for the right border color
`short` | `getRotation()` get the degree of rotation.
`boolean` | `getShrinkToFit()` get whether to shrink the text to fit
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getTopBorderPaletteIdx()` get the palette index for the top border
`short` | `getVerticalAlignment()` get the vertical alignment of text in the cell
`boolean` | `getWrapText()` get whether to wrap the text in the cell
`short` | `getXFType()` get whether the cell is a cell or style XFRecord
`int` | `hashCode()`
`boolean` | `isHidden()` get whether the cell is hidden or not
`boolean` | `isIndentNotParentAlignment()` get whether or not to use the alignment in this XF instead of the parent XF.
`boolean` | `isIndentNotParentBorder()` get whether or not to use the border in this XF instead of the parent XF.
`boolean` | `isIndentNotParentCellOptions()` get whether or not to use the locking/hidden in this XF instead of the parent XF.
`boolean` | `isIndentNotParentFont()` get whether or not to use the font in this XF instead of the parent XF.
`boolean` | `isIndentNotParentFormat()` get whether or not to use the format in this XF instead of the parent XF.
`boolean` | `isIndentNotParentPattern()` get whether or not to use the pattern in this XF instead of the parent XF.
`boolean` | `isLocked()` get whether the cell is locked or not
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `set123Prefix(boolean prefix)` set some old holdover from lotus 123.
`void` | `setAdtlDiag(short diag)` set for diagonal borders? No idea (its a palette color for the other function we didn't know what was?)
`void` | `setAdtlDiagLineStyle(short diag)` set the diagonal border line style? Who the heck ever heard of a diagonal border?
`void` | `setAdtlFillPattern(short fill)` set the fill pattern
`void` | `setAdtlPaletteOptions(short options)` set the additional palette options bitmask (see individual bitsetter methods that reference this method)
`void` | `setAlignment(short align)` set the horizontal alignment of the cell.
`void` | `setAlignmentOptions(short options)` set the alignment options bitmask.
`void` | `setBorderBottom(short border)` set the border line style for the bottom border
`void` | `setBorderLeft(short border)` set the borderline style for the left border
`void` | `setBorderOptions(short options)` set the border options bitmask (see the corresponding bitsetter methods that reference back to this one)
`void` | `setBorderRight(short border)` set the border line style for the right border
`void` | `setBorderTop(short border)` set the border line style for the top border
`void` | `setBottomBorderPaletteIdx(short border)` set the palette index for the bottom border
`void` | `setCellOptions(short options)` sets the options bitmask - you can also use corresponding option bit setters (see other methods that reference this one)
`void` | `setDiag(short diag)` Not sure what this is for (maybe fill lines?) 1 = down, 2 = up, 3 = both, 0 for none..
`void` | `setFillBackground(short color)` set the background palette color index
`void` | `setFillForeground(short color)` set the foreground palette color index
`void` | `setFillPaletteOptions(short options)` set the fill palette options bitmask (see
`void` | `setFontIndex(short index)` set the index to the FONT record (which font to use 0 based)
`void` | `setFormatIndex(short index)` set the index to the Format record (which FORMAT to use 0-based)
`void` | `setHidden(boolean hidden)` set whether the cell is hidden or not
`void` | `setIndent(short indent)` set indention (not sure of the units, think its spaces)
`void` | `setIndentionOptions(short options)` set the indent options bitmask (see corresponding bitmask setters that reference this field)
`void` | `setIndentNotParentAlignment(boolean alignment)` set whether or not to use the alignment in this XF instead of the parent XF.
`void` | `setIndentNotParentBorder(boolean border)` set whether or not to use the border in this XF instead of the parent XF.
`void` | `setIndentNotParentCellOptions(boolean options)` set whether or not to use the locking/hidden in this XF instead of the parent XF.
`void` | `setIndentNotParentFont(boolean font)` set whether or not to use the font in this XF instead of the parent XF.
`void` | `setIndentNotParentFormat(boolean parent)` set whether or not to use the format in this XF instead of the parent XF.
`void` | `setIndentNotParentPattern(boolean pattern)` Sets whether or not to use the pattern in this XF instead of the parent XF (foreground/background).
`void` | `setJustifyLast(short justify)` Dunno.
`void` | `setLeftBorderPaletteIdx(short border)` set the palette index for the left border color
`void` | `setLocked(boolean locked)` set whether the cell is locked or not
`void` | `setMergeCells(boolean merge)` set whether to merge cells
`void` | `setPaletteOptions(short options)` set the palette options bitmask (see the individual bitsetter methods that reference this one)
`void` | `setParentIndex(short parent)` for cell XF types this is the parent style (usually 0/normal).
`void` | `setReadingOrder(short order)` set the reading order for far east versions (0 - Context, 1 - Left to right, 2 - right to left) - We could use some help with support for the far east.
`void` | `setRightBorderPaletteIdx(short border)` set the palette index for the right border color
`void` | `setRotation(short rotation)` set the degree of rotation.
`void` | `setShrinkToFit(boolean shrink)` set whether to shrink the text to fit
`void` | `setTopBorderPaletteIdx(short border)` set the palette index for the top border
`void` | `setVerticalAlignment(short align)` set the vertical alignment of text in the cell
`void` | `setWrapText(boolean wrapped)` set whether to wrap the text in the cell
`void` | `setXFType(short type)` set whether the cell is a cell or style XFRecord
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### NULL

    public static final short NULL

See Also:
  Constant Field Values

### XF_STYLE

    public static final short XF_STYLE

See Also:
  Constant Field Values

### XF_CELL

    public static final short XF_CELL

See Also:
  Constant Field Values

### NONE

    public static final short NONE

See Also:
  Constant Field Values

### THIN

    public static final short THIN

See Also:
  Constant Field Values

### MEDIUM

    public static final short MEDIUM

See Also:
  Constant Field Values

### DASHED

    public static final short DASHED

See Also:
  Constant Field Values

### DOTTED

    public static final short DOTTED

See Also:
  Constant Field Values

### THICK

    public static final short THICK

See Also:
  Constant Field Values

### DOUBLE

    public static final short DOUBLE

See Also:
  Constant Field Values

### HAIR

    public static final short HAIR

See Also:
  Constant Field Values

### MEDIUM_DASHED

    public static final short MEDIUM_DASHED

See Also:
  Constant Field Values

### DASH_DOT

    public static final short DASH_DOT

See Also:
  Constant Field Values

### MEDIUM_DASH_DOT

    public static final short MEDIUM_DASH_DOT

See Also:
  Constant Field Values

### DASH_DOT_DOT

    public static final short DASH_DOT_DOT

See Also:
  Constant Field Values

### MEDIUM_DASH_DOT_DOT

    public static final short MEDIUM_DASH_DOT_DOT

See Also:
  Constant Field Values

### SLANTED_DASH_DOT

    public static final short SLANTED_DASH_DOT

See Also:
  Constant Field Values

### GENERAL

    public static final short GENERAL

See Also:
  Constant Field Values

### LEFT

    public static final short LEFT

See Also:
  Constant Field Values

### CENTER

    public static final short CENTER

See Also:
  Constant Field Values

### RIGHT

    public static final short RIGHT

See Also:
  Constant Field Values

### FILL

    public static final short FILL

See Also:
  Constant Field Values

### JUSTIFY

    public static final short JUSTIFY

See Also:
  Constant Field Values

### CENTER_SELECTION

    public static final short CENTER_SELECTION

See Also:
  Constant Field Values

### VERTICAL_TOP

    public static final short VERTICAL_TOP

See Also:
  Constant Field Values

### VERTICAL_CENTER

    public static final short VERTICAL_CENTER

See Also:
  Constant Field Values

### VERTICAL_BOTTOM

    public static final short VERTICAL_BOTTOM

See Also:
  Constant Field Values

### VERTICAL_JUSTIFY

    public static final short VERTICAL_JUSTIFY

See Also:
  Constant Field Values

### NO_FILL

    public static final short NO_FILL

See Also:
  Constant Field Values

### SOLID_FILL

    public static final short SOLID_FILL

See Also:
  Constant Field Values

### FINE_DOTS

    public static final short FINE_DOTS

See Also:
  Constant Field Values

### ALT_BARS

    public static final short ALT_BARS

See Also:
  Constant Field Values

### SPARSE_DOTS

    public static final short SPARSE_DOTS

See Also:
  Constant Field Values

### THICK_HORZ_BANDS

    public static final short THICK_HORZ_BANDS

See Also:
  Constant Field Values

### THICK_VERT_BANDS

    public static final short THICK_VERT_BANDS

See Also:
  Constant Field Values

### THICK_BACKWARD_DIAG

    public static final short THICK_BACKWARD_DIAG

See Also:
  Constant Field Values

### THICK_FORWARD_DIAG

    public static final short THICK_FORWARD_DIAG

See Also:
  Constant Field Values

### BIG_SPOTS

    public static final short BIG_SPOTS

See Also:
  Constant Field Values

### BRICKS

    public static final short BRICKS

See Also:
  Constant Field Values

### THIN_HORZ_BANDS

    public static final short THIN_HORZ_BANDS

See Also:
  Constant Field Values

### THIN_VERT_BANDS

    public static final short THIN_VERT_BANDS

See Also:
  Constant Field Values

### THIN_BACKWARD_DIAG

    public static final short THIN_BACKWARD_DIAG

See Also:
  Constant Field Values

### THIN_FORWARD_DIAG

    public static final short THIN_FORWARD_DIAG

See Also:
  Constant Field Values

### SQUARES

    public static final short SQUARES

See Also:
  Constant Field Values

### DIAMONDS

    public static final short DIAMONDS

See Also:
  Constant Field Values

Constructor Detail

### ExtendedFormatRecord

    public ExtendedFormatRecord()

  Constructor ExtendedFormatRecord

### ExtendedFormatRecord

    public ExtendedFormatRecord(RecordInputStream in)

Method Detail

### setFontIndex

    public void setFontIndex(short index)

  set the index to the FONT record (which font to use 0 based)

  Parameters:
    `index` - to the font
  See Also:
    `FontRecord`

### setFormatIndex

    public void setFormatIndex(short index)

  set the index to the Format record (which FORMAT to use 0-based)

  Parameters:
    `index` - to the format record
  See Also:
    `FormatRecord`

### setCellOptions

    public void setCellOptions(short options)

  sets the options bitmask - you can also use corresponding option bit setters (see other methods that reference this one)

  Parameters:
    `options` - bitmask to set

### setLocked

    public void setLocked(boolean locked)

  set whether the cell is locked or not

  Parameters:
    `locked` - - if the cell is locked
  See Also:
    `setCellOptions(short)`

### setHidden

    public void setHidden(boolean hidden)

  set whether the cell is hidden or not

  Parameters:
    `hidden` - - if the cell is hidden
  See Also:
    `setCellOptions(short)`

### setXFType

    public void setXFType(short type)

  set whether the cell is a cell or style XFRecord

  Parameters:
    `type` - - cell or style (0/1)
  See Also:
    `XF_STYLE`, `XF_CELL`, `setCellOptions(short)`

### set123Prefix

    public void set123Prefix(boolean prefix)

  set some old holdover from lotus 123. Who cares, its all over for Lotus. RIP Lotus.

  Parameters:
    `prefix` - - the lotus thing to set.
  See Also:
    `setCellOptions(short)`

### setParentIndex

    public void setParentIndex(short parent)

  for cell XF types this is the parent style (usually 0/normal). For style this should be NULL.

  Parameters:
    `parent` - index of parent XF
  See Also:
    `NULL`, `setCellOptions(short)`

### setAlignmentOptions

    public void setAlignmentOptions(short options)

  set the alignment options bitmask. See corresponding bitsetter methods that reference this one.

  Parameters:
    `options` - - the bitmask to set

### setAlignment

    public void setAlignment(short align)

  set the horizontal alignment of the cell.

  Parameters:
    `align` - - how to align the cell (see constants)
  See Also:
    `GENERAL`, `LEFT`, `CENTER`, `RIGHT`, `FILL`, `JUSTIFY`, `CENTER_SELECTION`, `setAlignmentOptions(short)`

### setWrapText

    public void setWrapText(boolean wrapped)

  set whether to wrap the text in the cell

  Parameters:
    `wrapped` - - whether or not to wrap the cell text
  See Also:
    `setAlignmentOptions(short)`

### setVerticalAlignment

    public void setVerticalAlignment(short align)

  set the vertical alignment of text in the cell

  Parameters:
    `align` - where to align the text
  See Also:
    `VERTICAL_TOP`, `VERTICAL_CENTER`, `VERTICAL_BOTTOM`, `VERTICAL_JUSTIFY`, `setAlignmentOptions(short)`

### setJustifyLast

    public void setJustifyLast(short justify)

  Dunno. Docs just say this is for far east versions.. (I'm guessing it justifies for right-to-left read languages)

  Parameters:
    `justify` -
  See Also:
    `setAlignmentOptions(short)`

### setRotation

    public void setRotation(short rotation)

  set the degree of rotation. (I've not actually seen this used anywhere)

  Parameters:
    `rotation` - the degree of rotation
  See Also:
    `setAlignmentOptions(short)`

### setIndentionOptions

    public void setIndentionOptions(short options)

  set the indent options bitmask (see corresponding bitmask setters that reference this field)

  Parameters:
    `options` - bitmask to set.

### setIndent

    public void setIndent(short indent)

  set indention (not sure of the units, think its spaces)

  Parameters:
    `indent` - - how far to indent the cell
  See Also:
    `setIndentionOptions(short)`

### setShrinkToFit

    public void setShrinkToFit(boolean shrink)

  set whether to shrink the text to fit

  Parameters:
    `shrink` - - shrink to fit or not
  See Also:
    `setIndentionOptions(short)`

### setMergeCells

    public void setMergeCells(boolean merge)

  set whether to merge cells

  Parameters:
    `merge` - - merge cells or not
  See Also:
    `setIndentionOptions(short)`

### setReadingOrder

    public void setReadingOrder(short order)

  set the reading order for far east versions (0 - Context, 1 - Left to right, 2 - right to left) - We could use some help with support for the far east.

  Parameters:
    `order` - - the reading order (0,1,2)
  See Also:
    `setIndentionOptions(short)`

### setIndentNotParentFormat

    public void setIndentNotParentFormat(boolean parent)

  set whether or not to use the format in this XF instead of the parent XF.

  Parameters:
    `parent` - - true if this XF has a different format value than its parent, false otherwise.
  See Also:
    `setIndentionOptions(short)`

### setIndentNotParentFont

    public void setIndentNotParentFont(boolean font)

  set whether or not to use the font in this XF instead of the parent XF.

  Parameters:
    `font` - - true if this XF has a different font value than its parent, false otherwise.
  See Also:
    `setIndentionOptions(short)`

### setIndentNotParentAlignment

    public void setIndentNotParentAlignment(boolean alignment)

  set whether or not to use the alignment in this XF instead of the parent XF.

  Parameters:
    `alignment` - true if this XF has a different alignment value than its parent, false otherwise.
  See Also:
    `setIndentionOptions(short)`

### setIndentNotParentBorder

    public void setIndentNotParentBorder(boolean border)

  set whether or not to use the border in this XF instead of the parent XF.

  Parameters:
    `border` - - true if this XF has a different border value than its parent, false otherwise.
  See Also:
    `setIndentionOptions(short)`

### setIndentNotParentPattern

    public void setIndentNotParentPattern(boolean pattern)

  Sets whether or not to use the pattern in this XF instead of the parent XF (foreground/background).

  Parameters:
    `pattern` - `true` if this XF has a different pattern value than its parent, false otherwise.
  See Also:
    `setIndentionOptions(short)`

### setIndentNotParentCellOptions

    public void setIndentNotParentCellOptions(boolean options)

  set whether or not to use the locking/hidden in this XF instead of the parent XF.

  Parameters:
    `options` - true if this XF has a different locking or hidden value than its parent, false otherwise.
  See Also:
    `setIndentionOptions(short)`

### setBorderOptions

    public void setBorderOptions(short options)

  set the border options bitmask (see the corresponding bitsetter methods that reference back to this one)

  Parameters:
    `options` - - the bit mask to set

### setBorderLeft

    public void setBorderLeft(short border)

  set the borderline style for the left border

  Parameters:
    `border` - - type of border for the left side of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`, `setBorderOptions(short)`

### setBorderRight

    public void setBorderRight(short border)

  set the border line style for the right border

  Parameters:
    `border` - - type of border for the right side of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`, `setBorderOptions(short)`

### setBorderTop

    public void setBorderTop(short border)

  set the border line style for the top border

  Parameters:
    `border` - - type of border for the top of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`, `setBorderOptions(short)`

### setBorderBottom

    public void setBorderBottom(short border)

  set the border line style for the bottom border

  Parameters:
    `border` - - type of border for the bottom of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`, `setBorderOptions(short)`

### setPaletteOptions

    public void setPaletteOptions(short options)

  set the palette options bitmask (see the individual bitsetter methods that reference this one)

  Parameters:
    `options` - - the bitmask to set

### setLeftBorderPaletteIdx

    public void setLeftBorderPaletteIdx(short border)

  set the palette index for the left border color

  Parameters:
    `border` - - palette index
  See Also:
    `setPaletteOptions(short)`

### setRightBorderPaletteIdx

    public void setRightBorderPaletteIdx(short border)

  set the palette index for the right border color

  Parameters:
    `border` - - palette index
  See Also:
    `setPaletteOptions(short)`

### setDiag

    public void setDiag(short diag)

  Not sure what this is for (maybe fill lines?) 1 = down, 2 = up, 3 = both, 0 for none..

  Parameters:
    `diag` - - set whatever it is that this is.
  See Also:
    `setPaletteOptions(short)`

### setAdtlPaletteOptions

    public void setAdtlPaletteOptions(short options)

  set the additional palette options bitmask (see individual bitsetter methods that reference this method)

  Parameters:
    `options` - - bitmask to set

### setTopBorderPaletteIdx

    public void setTopBorderPaletteIdx(short border)

  set the palette index for the top border

  Parameters:
    `border` - - palette index
  See Also:
    `setAdtlPaletteOptions(short)`

### setBottomBorderPaletteIdx

    public void setBottomBorderPaletteIdx(short border)

  set the palette index for the bottom border

  Parameters:
    `border` - - palette index
  See Also:
    `setAdtlPaletteOptions(short)`

### setAdtlDiag

    public void setAdtlDiag(short diag)

  set for diagonal borders? No idea (its a palette color for the other function we didn't know what was?)

  Parameters:
    `diag` - - the palette index?
  See Also:
    `setAdtlPaletteOptions(short)`

### setAdtlDiagLineStyle

    public void setAdtlDiagLineStyle(short diag)

  set the diagonal border line style? Who the heck ever heard of a diagonal border?

  Parameters:
    `diag` - - the line style
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`, `setAdtlPaletteOptions(short)`

### setAdtlFillPattern

    public void setAdtlFillPattern(short fill)

  set the fill pattern

  Parameters:
    `fill` - - fill pattern??
  See Also:
    `NO_FILL`, `SOLID_FILL`, `FINE_DOTS`, `ALT_BARS`, `SPARSE_DOTS`, `THICK_HORZ_BANDS`, `THICK_VERT_BANDS`, `THICK_BACKWARD_DIAG`, `THICK_FORWARD_DIAG`, `BIG_SPOTS`, `BRICKS`, `THIN_HORZ_BANDS`, `THIN_VERT_BANDS`, `THIN_BACKWARD_DIAG`, `THIN_FORWARD_DIAG`, `SQUARES`, `DIAMONDS`, `setAdtlPaletteOptions(short)`

### setFillPaletteOptions

    public void setFillPaletteOptions(short options)

  set the fill palette options bitmask (see

  Parameters:
    `options` -

### setFillForeground

    public void setFillForeground(short color)

  set the foreground palette color index

  Parameters:
    `color` - - palette index
  See Also:
    `setFillPaletteOptions(short)`

### setFillBackground

    public void setFillBackground(short color)

  set the background palette color index

  Parameters:
    `color` - - palette index
  See Also:
    `setFillPaletteOptions(short)`

### getFontIndex

    public short getFontIndex()

  get the index to the FONT record (which font to use 0 based)

  Returns:
    index to the font
  See Also:
    `FontRecord`

### getFormatIndex

    public short getFormatIndex()

  get the index to the Format record (which FORMAT to use 0-based)

  Returns:
    index to the format record
  See Also:
    `FormatRecord`

### getCellOptions

    public short getCellOptions()

  gets the options bitmask - you can also use corresponding option bit getters (see other methods that reference this one)

  Returns:
    options bitmask

### isLocked

    public boolean isLocked()

  get whether the cell is locked or not

  Returns:
    locked - if the cell is locked
  See Also:
    `getCellOptions()`

### isHidden

    public boolean isHidden()

  get whether the cell is hidden or not

  Returns:
    hidden - if the cell is hidden
  See Also:
    `getCellOptions()`

### getXFType

    public short getXFType()

  get whether the cell is a cell or style XFRecord

  Returns:
    type - cell or style (0/1)
  See Also:
    `XF_STYLE`, `XF_CELL`, `getCellOptions()`

### get123Prefix

    public boolean get123Prefix()

  get some old holdover from lotus 123. Who cares, its all over for Lotus. RIP Lotus.

  Returns:
    prefix - the lotus thing
  See Also:
    `getCellOptions()`

### getParentIndex

    public short getParentIndex()

  for cell XF types this is the parent style (usually 0/normal). For style this should be NULL.

  Returns:
    index of parent XF
  See Also:
    `NULL`, `getCellOptions()`

### getAlignmentOptions

    public short getAlignmentOptions()

  get the alignment options bitmask. See corresponding bitgetter methods that reference this one.

  Returns:
    options - the bitmask

### getAlignment

    public short getAlignment()

  get the horizontal alignment of the cell.

  Returns:
    align - how to align the cell (see constants)
  See Also:
    `GENERAL`, `LEFT`, `CENTER`, `RIGHT`, `FILL`, `JUSTIFY`, `CENTER_SELECTION`, `getAlignmentOptions()`

### getWrapText

    public boolean getWrapText()

  get whether to wrap the text in the cell

  Returns:
    wrapped - whether or not to wrap the cell text
  See Also:
    `getAlignmentOptions()`

### getVerticalAlignment

    public short getVerticalAlignment()

  get the vertical alignment of text in the cell

  Returns:
    where to align the text
  See Also:
    `VERTICAL_TOP`, `VERTICAL_CENTER`, `VERTICAL_BOTTOM`, `VERTICAL_JUSTIFY`, `getAlignmentOptions()`

### getJustifyLast

    public short getJustifyLast()

  Dunno. Docs just say this is for far east versions.. (I'm guessing it justifies for right-to-left read languages)

  Returns:
    justify
  See Also:
    `getAlignmentOptions()`

### getRotation

    public short getRotation()

  get the degree of rotation. (I've not actually seen this used anywhere)

  Returns:
    rotation - the degree of rotation
  See Also:
    `getAlignmentOptions()`

### getIndentionOptions

    public short getIndentionOptions()

  get the indent options bitmask (see corresponding bit getters that reference this field)

  Returns:
    options bitmask

### getIndent

    public short getIndent()

  get indention (not sure of the units, think its spaces)

  Returns:
    indent - how far to indent the cell
  See Also:
    `getIndentionOptions()`

### getShrinkToFit

    public boolean getShrinkToFit()

  get whether to shrink the text to fit

  Returns:
    shrink - shrink to fit or not
  See Also:
    `getIndentionOptions()`

### getMergeCells

    public boolean getMergeCells()

  get whether to merge cells

  Returns:
    merge - merge cells or not
  See Also:
    `getIndentionOptions()`

### getReadingOrder

    public short getReadingOrder()

  get the reading order for far east versions (0 - Context, 1 - Left to right, 2 - right to left) - We could use some help with support for the far east.

  Returns:
    order - the reading order (0,1,2)
  See Also:
    `getIndentionOptions()`

### isIndentNotParentFormat

    public boolean isIndentNotParentFormat()

  get whether or not to use the format in this XF instead of the parent XF.

  Returns:
    parent - true if this XF has a different format value than its parent, false otherwise.
  See Also:
    `getIndentionOptions()`

### isIndentNotParentFont

    public boolean isIndentNotParentFont()

  get whether or not to use the font in this XF instead of the parent XF.

  Returns:
    font - true if this XF has a different font value than its parent, false otherwise.
  See Also:
    `getIndentionOptions()`

### isIndentNotParentAlignment

    public boolean isIndentNotParentAlignment()

  get whether or not to use the alignment in this XF instead of the parent XF.

  Returns:
    alignment true if this XF has a different alignment value than its parent, false otherwise.
  See Also:
    `getIndentionOptions()`

### isIndentNotParentBorder

    public boolean isIndentNotParentBorder()

  get whether or not to use the border in this XF instead of the parent XF.

  Returns:
    border - true if this XF has a different border value than its parent, false otherwise.
  See Also:
    `getIndentionOptions()`

### isIndentNotParentPattern

    public boolean isIndentNotParentPattern()

  get whether or not to use the pattern in this XF instead of the parent XF. (foregrount/background)

  Returns:
    pattern- true if this XF has a different pattern value than its parent, false otherwise.
  See Also:
    `getIndentionOptions()`

### isIndentNotParentCellOptions

    public boolean isIndentNotParentCellOptions()

  get whether or not to use the locking/hidden in this XF instead of the parent XF.

  Returns:
    options- true if this XF has a different locking or hidden value than its parent, false otherwise.
  See Also:
    `getIndentionOptions()`

### getBorderOptions

    public short getBorderOptions()

  get the border options bitmask (see the corresponding bit getter methods that reference back to this one)

  Returns:
    options - the bit mask to set

### getBorderLeft

    public short getBorderLeft()

  get the borderline style for the left border

  Returns:
    border - type of border for the left side of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`, `getBorderOptions()`

### getBorderRight

    public short getBorderRight()

  get the borderline style for the right border

  Returns:
    border - type of border for the right side of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`, `getBorderOptions()`

### getBorderTop

    public short getBorderTop()

  get the borderline style for the top border

  Returns:
    border - type of border for the top of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`, `getBorderOptions()`

### getBorderBottom

    public short getBorderBottom()

  get the borderline style for the bottom border

  Returns:
    border - type of border for the bottom of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`, `getBorderOptions()`

### getPaletteOptions

    public short getPaletteOptions()

  get the palette options bitmask (see the individual bit getter methods that reference this one)

  Returns:
    options - the bitmask

### getLeftBorderPaletteIdx

    public short getLeftBorderPaletteIdx()

  get the palette index for the left border color

  Returns:
    border - palette index
  See Also:
    `getPaletteOptions()`

### getRightBorderPaletteIdx

    public short getRightBorderPaletteIdx()

  get the palette index for the right border color

  Returns:
    border - palette index
  See Also:
    `getPaletteOptions()`

### getDiag

    public short getDiag()

  Not sure what this is for (maybe fill lines?) 1 = down, 2 = up, 3 = both, 0 for none..

  Returns:
    diag - whatever it is that this is.
  See Also:
    `getPaletteOptions()`

### getAdtlPaletteOptions

    public int getAdtlPaletteOptions()

  get the additional palette options bitmask (see individual bit getter methods that reference this method)

  Returns:
    options - bitmask to set

### getTopBorderPaletteIdx

    public short getTopBorderPaletteIdx()

  get the palette index for the top border

  Returns:
    border - palette index
  See Also:
    `getAdtlPaletteOptions()`

### getBottomBorderPaletteIdx

    public short getBottomBorderPaletteIdx()

  get the palette index for the bottom border

  Returns:
    border - palette index
  See Also:
    `getAdtlPaletteOptions()`

### getAdtlDiag

    public short getAdtlDiag()

  get for diagonal borders? No idea (its a palette color for the other function we didn't know what was?)

  Returns:
    diag - the palette index?
  See Also:
    `getAdtlPaletteOptions()`

### getAdtlDiagLineStyle

    public short getAdtlDiagLineStyle()

  get the diagonal border line style? Who the heck ever heard of a diagonal border?

  Returns:
    diag - the line style
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`, `getAdtlPaletteOptions()`

### getAdtlFillPattern

    public short getAdtlFillPattern()

  get the additional fill pattern

  Returns:
    fill - fill pattern??
  See Also:
    `NO_FILL`, `SOLID_FILL`, `FINE_DOTS`, `ALT_BARS`, `SPARSE_DOTS`, `THICK_HORZ_BANDS`, `THICK_VERT_BANDS`, `THICK_BACKWARD_DIAG`, `THICK_FORWARD_DIAG`, `BIG_SPOTS`, `BRICKS`, `THIN_HORZ_BANDS`, `THIN_VERT_BANDS`, `THIN_BACKWARD_DIAG`, `THIN_FORWARD_DIAG`, `SQUARES`, `DIAMONDS`, `getAdtlPaletteOptions()`

### getFillPaletteOptions

    public short getFillPaletteOptions()

  get the fill palette options bitmask (see indivdual bit getters that reference this method)

  Returns:
    options

### getFillForeground

    public short getFillForeground()

  get the foreground palette color index

  Returns:
    color - palette index
  See Also:
    `getFillPaletteOptions()`

### getFillBackground

    public short getFillBackground()

  get the background palette color index

  Returns:
    color palette index
  See Also:
    `getFillPaletteOptions()`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### cloneStyleFrom

    public void cloneStyleFrom(ExtendedFormatRecord source)

  Clones all the style information from another ExtendedFormatRecord, onto this one. This will then hold all the same style options. If The source ExtendedFormatRecord comes from a different Workbook, you will need to sort out the font and format indicies yourself!

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Will consider two different records with the same contents as equals, as the various indexes that matter are embedded in the records

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD